Get encrypted PIN
deprecated
This operation returns the encrypted PIN block in ISO format 1. The PIN block is encrypted using a pre-shared double-length 3DES key.
GET
/
v1
/
{cardId}
Get encrypted PIN
curl --request GET \
--url 'https://integration-api-cat1.{{environment}}.ext.{{realm}}.cia.enfuce.com/pin/v1/{cardId}' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://integration-api-cat1.{{environment}}.ext.{{realm}}.cia.enfuce.com/pin/v1/{cardId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://integration-api-cat1.{{environment}}.ext.{{realm}}.cia.enfuce.com/pin/v1/{cardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pinBlock": "<string>"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Deprecated: This API endpoint is no longer supported.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The card id for given card
Query Parameters
The audit user to log the request
The PIN encryption key (ZPK) index. This index is used to point out which key to use in case there are multiple keys available.
Example:
"0"
Response
Successful lookup of the card
3DES encrypted ISO format 1 PIN block in hexadecimal.
Was this page helpful?
⌘I
Get encrypted PIN

